Summary:	Universal addresses to RPC program number mapper
Summary(pl.UTF-8):	Demon odwzorowujący adresy uniwersalne na numery programów RPC
Name:		rpcbind
Version:	0.2.1
Release:	3
License:	BSD
Group:		Daemons
Source0:	http://downloads.sourceforge.net/rpcbind/%{name}-%{version}.tar.bz2
# Source0-md5:	0a5f9c2142af814c55d957aaab3bcc68
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.service
Source4:	%{name}.socket
Patch0:		%{name}-libwrap.patch
Patch1:		%{name}-syslog.patch
Patch2:		%{name}-sunrpc.patch
Patch3:		%{name}-nss.h.patch
Patch6:		%{name}-tcp-addrs.patch
# http://nfsv4.bullopensource.org/doc/tirpc_rpcbind.php
URL:		http://sourceforge.net/projects/rpcbind/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtirpc-devel >= 1:0.1.10
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.623
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.1.6
Requires:	systemd-units >= 0.38
Provides:	portmap = 8.0
Provides:	user(rpc)
Obsoletes:	portmap
Obsoletes:	rpcbind-systemd
Conflicts:	clusternfs < 3.0-0.rc2.3
Conflicts:	flixengine < 8.0.8.2-1
Conflicts:	nfs-utils < 1.1.0-0.rc2.1
Conflicts:	quota-rquotad < 1:3.14-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rpcbind utility is a server that converts RPC program numbers into
universal addresses. It must be running on the host to be able to make
RPC calls on a server on that machine.

%description -l pl.UTF-8
Narzędzie rpcbind to serwer konwertujący numery programów RPC na
adresy uniwersalne. Musi działać na maszynie, aby można było wykonywać
wywołania RPC na serwerze na tej maszynie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-libwrap \
	--enable-warmstarts \
	--with-statedir=/var/lib/rpcbind \
	--with-rpcuser=rpc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_sbindir},/etc/{sysconfig,rc.d/init.d}} \
	$RPM_BUILD_ROOT{%{_mandir}/man8,%{_var}/lib/%{name},%{systemdunitdir}}

install rpcbind $RPM_BUILD_ROOT/sbin
install rpcinfo $RPM_BUILD_ROOT%{_sbindir}

install man/{rpcbind,rpcinfo}.8 $RPM_BUILD_ROOT%{_mandir}/man8

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rpcbind
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rpcbind

install %{SOURCE3} $RPM_BUILD_ROOT%{systemdunitdir}/rpcbind.service
install %{SOURCE4} $RPM_BUILD_ROOT%{systemdunitdir}/rpcbind.socket

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 22 -d /usr/share/empty -s /bin/false -c "Portmapper RPC User" -g nobody rpc

%post
/sbin/chkconfig --add rpcbind
%service rpcbind restart
%systemd_post rpcbind.service

%postun
if [ "$1" = "0" ]; then
	%userremove rpc
fi
%systemd_reload

%preun
if [ "$1" = "0" ]; then
	%service -q rpcbind stop
	/sbin/chkconfig --del rpcbind
fi
%systemd_preun rpcbind.service

%triggerpostun -- %{name} < 0.2.0-5
if [ -f /etc/sysconfig/rpcbind ]; then
	. /etc/sysconfig/rpcbind
	[ "$RPCBIND_VERBOSE" == "no" ] || RPCBIND_OPTIONS="-l"
	[ "$RPCBIND_INSECURE" == "yes" ] && RPCBIND_OPTIONS="$RPCBIND_OPTIONS -i"
	for a in $RPCBIND_ADDRESSES ; do
		RPCBIND_OPTIONS="$RPCBIND_OPTIONS -h $a"
	done
	[ -z "$RPCBIND_OPTIONS" ] && exit 0
	%{__cp} -f /etc/sysconfig/rpcbind /etc/sysconfig/rpcbind.rpmsave
	echo >>/etc/sysconfig/rpcbind
	echo "# Added by rpm trigger" >>/etc/sysconfig/rpcbind
	echo "RPCBIND_OPTIONS=\"$RPCBIND_OPTIONS\"" >> /etc/sysconfig/rpcbind
fi
%systemd_trigger rpcbind.service

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(754,root,root) /etc/rc.d/init.d/rpcbind
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpcbind
%attr(755,root,root) /sbin/rpcbind
%attr(755,root,root) %{_sbindir}/rpcinfo
%{_mandir}/man8/rpcbind.8*
%{_mandir}/man8/rpcinfo.8*
%dir %attr(700,rpc,root) %{_var}/lib/%{name}
%{systemdunitdir}/rpcbind.service
%{systemdunitdir}/rpcbind.socket
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpcbind.git;a=log;h=master

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> f8ae197
- release 3 (by relup.sh)

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> ce8916e
- unify initscript

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> 4fbf1bf
- daemon needs full path to binary

* Mon Sep 16 2013 Jan Rękorajski <baggins@pld-linux.org> 6dcb5b5
- fix missing preprocessor var removed with config.h in 0.2.1
- rel 2

* Mon Aug 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 9425805
- License is BSD, package COPYING
- more verbose files, completed BRs

* Mon Aug 19 2013 Jan Rękorajski <baggins@pld-linux.org> 4705a5b
- updated to 0.2.1
- rmoved patches applied upstream

* Tue Apr 17 2012 Jan Rękorajski <baggins@pld-linux.org> 9782f46
- rel 8
- better systemd deps

* Sat Feb 11 2012 Jan Rękorajski <baggins@pld-linux.org> a5609eb
- rel 7
- use __cp macro in trigger, cp may be an alias

* Sun Feb 05 2012 Jan Rękorajski <baggins@pld-linux.org> 13fa5d8
- rel 6
- added O:*-systemd

* Sun Feb 05 2012 Jan Rękorajski <baggins@pld-linux.org> c84db1a
- rel 5
- merge systemd stuff into main package

* Wed Jan 18 2012 Jan Rękorajski <baggins@pld-linux.org> 8fdb0ae
- rel 4

* Wed Jan 18 2012 Jan Rękorajski <baggins@pld-linux.org> 7a5b9a7
- added systemd package
- simplify sysconfig for compatibility with systemd (with trigger)

* Wed Jan 18 2012 Jan Rękorajski <baggins@pld-linux.org> 01f46d0
- added systemd services

* Mon Sep 27 2010 Jan Rękorajski <baggins@pld-linux.org> 91d7b71
- rel 3
- make '-h' option work for both UDP and TCP sockets
  (NACKed by upstream, despite it's not interfering with NFS, is
   run-tested and works fine.
   See http://www.spinics.net/lists/linux-nfs/msg15949.html for gory details)

* Fri Sep 17 2010 Jan Rękorajski <baggins@pld-linux.org> d894774
- rel 2
- bugfixes from upstream

* Wed Apr 21 2010 Jan Rękorajski <baggins@pld-linux.org> 3bcf7d5
- 0.2.0

* Fri Jan 08 2010 Kacper Kornet <draenog@pld-linux.org> b787af9
- rel. 4

* Fri Jan 08 2010 Kacper Kornet <draenog@pld-linux.org> 3af8472
- s/rpcbind/sunrpc/ in rpcinfo

* Thu Jan 07 2010 Paweł Sikora <pluto@pld-linux.org> 5747491
- fix lookup in recent /etc/services, release 3.

* Thu Jan 07 2010 Paweł Sikora <pluto@pld-linux.org> d908c4c
- the "rpcbind" doesn't exist in the latest IANA /etc/services, so use "sunrpc".

